### Function

# WPEWebKit Credential new

since: 2.2

#### Declaration [src]

    WebKitCredential*
    webkit_credential_new (
      const gchar* username,
      const gchar* password,
      WebKitCredentialPersistence persistence
    )

#### Description [src]

Create a new credential from the provided username, password and persistence mode.

Available since: 2.2

#### Parameters

`username`

  Type: `const gchar*`

  The username for the new credential.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`password`

  Type: `const gchar*`

  The password for the new credential.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`persistence`

  Type: `WebKitCredentialPersistence`

  The `WebKitCredentialPersistence` of the new credential.

#### Return value

Type: `WebKitCredential`

A `WebKitCredential`.

The caller of the function takes ownership of the data, and is responsible for freeing it.